/*******************************************************************************
 * 
 * jKiwi -- A virtual makeover and hairstyler application
 * Copyright (c) 2007-2008 Dan Mihai Ile, Maria Joao Roque Barbado Leal
 * 
 * This file is part of jKiwi.
 * 
 * jKiwi is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * jKiwi is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *******************************************************************************/

package blending;

/**
 * ColorOverlay mode uses only the pixel color values of the
 * upper layer with the pixel alpha value of the layer below.
 */
public class ColorOverlayBlendingContext extends BlendingContext {

	@Override
	public int[] applyBlending(int[] srcPixel, int[] dstPixel) {
		return new int[] {
				srcPixel[0], //use only source color value
				srcPixel[1], //use only source color value
				srcPixel[2], //use only source color value
				dstPixel[3] //use only dst's alpha value
		};
	}

}